%define         gst_minver      0.10.1
%define         gstpb_minver    0.10.1
%define         pygtk_minver    0.8.2
%define         majorminor      0.10
%define         gstreamer       gstreamer010

Name:           %{gstreamer}-python
Version:        0.10.1
Release:        0.gst.1.4
Summary:        Python bindings for GStreamer

Group:          Development/Languages
License:        LGPL
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	python >= 2
Requires:	pygtk2 >= %{pygtk_minver}
Requires:	%{gstreamer} >= %{gst_minver}
Requires:	%{gstreamer}-plugins-base >= %{gstpb_minver}

BuildRequires:	python >= 2
BuildRequires:  python-devel >= 2
BuildRequires:  pygtk2-devel >= %{pygtk_minver}

# xwindowlistener needs X11 headers
BuildRequires:  XFree86-devel

BuildRequires:	%{gstreamer}-devel >= %{gst_minver}
BuildRequires:	%{gstreamer}-plugins-base-devel >= %{gstpb_minver}

# sigh, libtool
BuildRequires:  gcc-c++

# no sense in splitting off a devel package just yet
Provides:	%{gstreamer}-python-devel = %{version}-%{release}

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%prep
%setup -q -n gst-python-%{version}

%build

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc examples/*.py
%{_libdir}/python?.?/site-packages/gst-%{majorminor}
%{_libdir}/python?.?/site-packages/pygst.py
%{_libdir}/python?.?/site-packages/pygst.pth
%dir %{_datadir}/gst-python
%{_datadir}/gst-python/%{majorminor}/examples
%{_datadir}/gst-python/%{majorminor}/defs/*.defs
%{_libdir}/pkgconfig/gst-python-%{majorminor}.pc

%changelog
* Fri Dec 30 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.1-0.gst.1
- new release

* Tue Dec 20 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0.2-0.gst.1
- new prerelease

* Wed Dec 14 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.2
- rebuild against new glib2/pygtk2

* Mon Dec 05 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.1
- new release

* Thu Dec 01 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.7-0.gst.1
- new release with 0.10 major/minor
- remove patch

* Wed Oct 26 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.4-0.gst.1
- new release
- add a patch because of an upstream bug, fixed in CVS

* Mon Oct 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.3-0.gst.1
- new upstream release

* Tue Jun 21 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.2-0.gst.1: new upstream release

* Fri Dec 24 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.2: various cleanups

* Tue Dec 07 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.1-0.fdr.1: new upstream release

* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.0-0.fdr.1: new upstream release

* Fri Nov 05 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.94-0.fdr.1: new upstream release

* Tue Oct 12 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.93-0.fdr.1: new upstream release

* Mon Jun 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.92-0.fdr.1: new upstream release

* Wed Mar 31 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.91-0.fdr.1: new upstream release

* Tue Sep 02 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.1.0-0.fdr.1: first fedora release
